#
# spec file for package rubygem-activesupport
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygem-activesupport
Version:        2.3.14
Release:        0.3.1
%define mod_name activesupport
#
Group:          Development/Languages/Ruby
License:        MIT License (or similar)
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       rubygem-activesupport-2_3 = %{version}
#
Url:            http://rubyforge.org/projects/activesupport/
Source:         %{name}-README.SuSE
#
Summary:        Utility classes and extension to the standard library

%description
Utility classes and extension to the standard library that were required
by Rails, but found of general use.



Authors:
--------
    rails development team

%prep

%build

%install
%{__install} -D -m 0644 %{S:0} %{buildroot}%{_docdir}/%{name}/README.SUSE

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}/
%{_docdir}/%{name}/README.SUSE

%changelog
* Tue Nov 15 2011 mrueckert@suse.com
- bump requires to version 2.3.14
* Wed Feb 16 2011 mrueckert@suse.de
- bump requires to version 2.3.11
* Wed Oct 27 2010 mrueckert@suse.de
- bump requires to version 2.3.10
* Mon Sep  6 2010 mrueckert@suse.de
- bump requires to version 2.3.9
* Tue May 25 2010 mrueckert@suse.de
- bump requires to version 2.3.8
* Mon Dec 21 2009 mrueckert@suse.de
- bump requires to version 2.3.5
* Wed Sep 30 2009 mrueckert@suse.de
- bump requires to version 2.3.4
* Mon Mar 16 2009 mrueckert@suse.de
- bump requires to version 2.3.2
* Mon Mar  9 2009 mrueckert@suse.de
- bump version number to 2.1.2
* Fri Sep 12 2008 mrueckert@suse.de
- bump requires to 2.1.1
* Mon Jan 21 2008 mrueckert@suse.de
- started a new wrapper package. it will always pull in the latest
  rails package
* Wed Oct 17 2007 mrueckert@suse.de
- update to version 1.4.4
  * Backport: allow array and hash query parameters. Array route
    parameters are converted/to/a/path as before.  #6765, #7047,
    [#7462] [bgipsy, Jeremy McAnally, Dan Kubb, brendan, Diego
    Algorta Casamayou]
- additional changes from 1.4.3
  * Demote Hash#to_xml to use XmlSimple#xml_in_string so it can't
    read files or stdin.  #8453 [candlerb, Jeremy Kemper]
    (CVE-2007-5379) (bnc #332441)
  * Document Object#blank?.  #6491 [Chris Mear]
  * Update Dependencies to ignore constants inherited from
    ancestors. Closes #6951. [Nicholas Seckar]
  * Improved multibyte performance by relying less on exception
    raising #8159 [Blaine]
* Mon May 14 2007 mrueckert@suse.de
- update to version 1.4.2
  * Ruby 1.8.6 and 1.9 define private Time#to_date and
    [#]to_datetime; make them public for compatibility.
    [Jeremy Kemper]
  * Deprecation: warn on stderr if RAILS_DEFAULT_LOGGER isn't set
    yet.  [Jeremy Kemper]
- additional changes from version 1.4.1
  * Optimize Class Inheritable Attributes so that unnecessary
    hashes are not created.  Closes #7472 [Bruce Perens]
  * Added :instance_writer option to #mattr_writer/accessor,
    [#]cattr_writer/accessor, and #class_inheritable_writer to skip
    the creation of the instance writer.  [Rick]
  * Full test coverage for Inflector.  #7228 [Dan Kubb]
* Tue Jan 23 2007 mrueckert@suse.de
- update to version 1.4.0
  update for rails 1.2.1. too many changes to mention them here.
  see /usr/lib*/ruby/gems/1.8/gems/activesupport-1.4.0/CHANGELOG
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 1.3.1
